EDIT - bug #9053

CCE when selecting Character Tree for descriptive dataset
06/04/2020 08:48 AM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.15

Severity: blocker Found in Version: Release 5.14
Description

last remote method : http://test.e-taxonomy.eu:80/cdmserver/rem_conf_am/remoting/termtree.service
last remote request client time : 2020-06-04T08:46:44.229
last remote request response header time : Thu, 04 Jun 2020 08:46:44 GMT
client error time : 2020-06-04T08:46:44.354
login : admin
editor version : 5.15.0.202006022252
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 5.15.0.0.20200510
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
java.lang.ClassCastException: [Ljava.lang.Object; cannot be cast to eu.etaxonomy.cdm.persistence.d
to.SortableTaxonNodeQueryResult

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.IdentifiableDaoBase.getUuidAndTitleCache (
IdentifiableDaoBase. java:724)

at eu.etaxonomy.cdm.persistence.dao.hibernate.term.TermTreeDaoImpl.getUuidAndTitleCacheByTermT
ype (TermTreeDaoImpl. java:129)

at eu.etaxonomy.cdm.api.service.TermTreeServiceImpl.getUuidAndTitleCacheByTermType (TermTreeSer
viceImpl. java:145)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocation (
TransactionInterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy668.getUuidAndTitleCacheByTermType (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.remoting. support.RemoteInvocationTracelInterceptor.invoke (RemotelInvocati
onTracelnterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)
at com.sun.proxy.S$Proxyl007.getUuidAndTitleCacheByTermType (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemotelInvocation. java:212)

at eu.etaxonomy.cdm.api.remoting.DebuggingRemoteInvocationExecutor.invoke (DebuggingRemotelInvoc
ationExecutor.java:52)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationB
asedExporter. java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (Re
moteInvocationBasedExporter.java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvok
erServiceExporter. java:74)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdap
ter.java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:969)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:871)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet.java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse. jetty.servlet.ServletHolder$NotAsyncServlet.service (ServletHolder. java:1395)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder. java:755)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1617)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe
curityInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter
SecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl
ationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagement
Filter.java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte
r (SecurityContextHolderAwareRequestFilter. java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
AwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterInter
nal (BasicAuthenticationFilter. java:213)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.j
ava:120)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil
ter.java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (Security
ContextPersistenceFilter. java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doF
ilterInternal (WebAsyncManagerIntegrationFilter. java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy.j
ava:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java:26

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1604)

at eu.etaxonomy.cdm.servlet.DateHeaderFilter.doFilter (DateHeaderFilter. java:55)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1604)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi
lter.java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1596)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:545)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:590)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:127)

at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler. java:235)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:1607)

at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler. java:233)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler.java:1297)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler.java:188)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:485)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler.java:1577)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler. java:186)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler. java:1212)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollection.j
ava:221)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:127)

at org.eclipse.jetty.server.Server.handle (Server. java:500)

at org.eclipse. jetty.server.HttpChannel.lambda$handle$1l (HttpChannel. java:383)

at org.eclipse.jetty.server.HttpChannel.dispatch (HttpChannel. java:547)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:375)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:270)

at org.eclipse.jetty.io.AbstractConnection$ReadCallback.succeeded (AbstractConnection. java:311)

at org.eclipse.jetty.io.FillInterest.fillable(FillInterest. java:103)

at org.eclipse.jetty.io.ChannelEndPoint$2.run (ChannelEndPoint. java:117)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.runTask (EatWhatYouKill. java:336)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.doProduce (EatWhatYouKill. java:313)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.tryProduce (EatWhatYouKill. java:171)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.run (EatWhatYouKill. java:129)

at org.eclipse.jetty.util.thread.ReservedThreadExecutor$ReservedThread.run (ReservedThreadExecu
tor.java:388)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:806)

at org.eclipse.jetty.util.thread.QueuedThreadPool$Runner.run (QueuedThreadPool. java:938)

at java.lang.Thread.run (Thread. java:748)

at org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible
(RemoteInvocationUtils.java:45)

at org.springframework.remoting. support.RemoteInvocationResult.recreate (RemoteInvocationResult
.java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemotelInvocation
Result (RemoteInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor.java:150)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy5l.getUuidAndTitleCacheByTermType (Unknown Source)

at eu.etaxonomy.taxeditor.ui.dialog.selection.FeatureTreeSelectionDialog.callService (FeatureTr
eeSelectionDialog. java:63)

at eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog.searc
h (AbstractFilteredCdmResourceSelectionDialog. java:517)
eu.etaxonomy.taxeditor.ui.dialog.selection.SearchDialog$2.modifyText (SearchDialog. java:175)

at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at

org.
org.
org.
org.
.eclipse.
eclipse.
eclipse.
eclipse.
eclipse.

org

org.
org.
org.
org.
org.
.eclipse.

org

org.
org.

org

org.
org.
org.
org.
org.
.eclipse.

org

org.

eclipse.
eclipse.
eclipse.
eclipse.

eclipse.

eclipse.
eclipse.
.eclipse.
eclipse.
eclipse.
eclipse.
eclipse.
eclipse.

eclipse.

swt.widgets.TypedListener.handleEvent (TypedListener. java:180)
swt.widgets.EventTable.sendEvent (EventTable. java:84)
swt.widgets.Display.sendEvent (Display.java:4418)
swt.widgets.Widget.sendEvent (Widget. java:1079)
swt.widgets.Widget.sendEvent (Widget. java:1103)
swt.widgets.Widget.sendEvent (Widget. java:1084)
swt.widgets.Text.wmCommandChild (Text.java:3122)
swt.widgets.Control.WM_COMMAND (Control.java:4947)
swt.widgets.Control.windowProc (Control.java:4802)
swt.widgets.Display.windowProc (Display.java:5123)
swt.internal.win32.0S.CallWindowProcW (Native Method)
swt.internal.win32.0S.CallWindowProc (0S.java:2446)
swt.widgets.Text.callWindowProc (Text.java:262)
swt.widgets.Control.windowProc (Control. java:4897)
swt.widgets.Text.windowProc (Text. java:2704)
swt.widgets.Display.windowProc (Display.java:5110)
swt.internal.win32.0S.DispatchMessageW (Native Method)
swt.internal.win32.0S.DispatchMessage (0S.java:2552)
swt.widgets.Display.readAndDispatch (Display. java:3822)
jface.window.Window.runEventLoop (Window. java:818)
jface.window.Window.open (Window. java:794)

eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog.getUu
idAndTitleCacheSelectionFromDialog (AbstractFilteredCdmResourceSelectionDialog. java:152)
at eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog.getSe

lectionFromDialog (AbstractFilteredCdmResourceSelectionDialog. java:133)

at eu.etaxonomy.taxeditor.ui.dialog.selection.FeatureTreeSelectionDialog.select (FeatureTreeSel

ectionDialog. java:46)

at eu.etaxonomy.taxeditor.featuretree.ed.FeatureTreeEditorComposite$l.widgetSelected (FeatureTr

eeEditorComposite. java:183)
swt.widgets.TypedListener.handleEvent (TypedListener. java:249)
swt.widgets.EventTable.sendEvent (EventTable. java:84)
swt.widgets.Display.sendEvent (Display.java:4418)

swt.widgets.Widget.sendEvent (Widget.java:1079)
swt.widgets.Display.runDeferredEvents (Display.java:4236)
swt.widgets.Display.readAndDispatch (Display. java:3824)
ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java

core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1l

.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
eclipse.

ui.internal.Workbench$5.run (Workbench. java:693)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)

.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application. java:20)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc

her.java:134)
.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
reflect.

core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:

core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.Method.invoke (Method. java:498)

org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

org.eclipse.equinox.launcher.Main.run (Main. java:1519)

Related issues:
Related to EDIT - task #8907: replace UuidAndTitleCacheTaxonComparator by typ... Resolved
Blocks EDIT - bug #8754: DescriptionElements are not deleted with the Descrip... Resolved

Associated revisions

Revision e0e63b18 - 06/04/2020 09:38 AM - Katja Luther
fix #9053: differ between SortableTaxonNodeQueryResult and simple uuidAndTitleCache

History

#1 - 06/04/2020 08:50 AM - Andreas Miiller
- Blocks bug #8754: DescriptionElements are not deleted with the Descriptive Data Set added

#2 - 06/04/2020 08:57 AM - Andreas Mdiller

The same problem occurs when selecting a character tree in the Character Editor.

#3 - 06/04/2020 09:37 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlible0e63b180e28c4bcd085¢31ac6055d117aeal0de.

#4 - 06/04/2020 09:39 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

please review

#5 - 06/04/2020 10:02 AM - Katja Luther
- Related to task #8907: replace UuidAndTitleCache TaxonComparator by type save implementation added

#6 - 06/04/2020 04:53 PM - Andreas Miiller

- Tags set to additivity

- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther
- % Done changed from 50 to 100

- Found in Version set to Release 5.14

Fixed
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/e0e63b180e28c4bcd085c31ac6055d117aea00de
http://www.tcpdf.org

